import { Line } from '@wisemapping/web2d';
import Workspace from './Workspace';
declare class ControlPoint {
    private control1;
    private control2;
    private _controlPointsController;
    private _controlLines;
    private _isBinded;
    _line: Line;
    private _workspace;
    private _endPoint;
    private _orignalCtrlPoint;
    private _controls;
    private _mouseMoveFunction;
    private _mouseUpFunction;
    constructor();
    setLine(line: Line): void;
    setControlPointTestId(ctrlPoint1: any, ctrlPoint2: any): void;
    redraw(): void;
    private _createControlPoint;
    private _removeLine;
    private _mouseDown;
    private _mouseMoveEvent;
    private _mouseUp;
    _mouseClick(event: MouseEvent): boolean;
    setVisibility(visible: boolean): void;
    addToWorkspace(workspace: Workspace): void;
    removeFromWorkspace(workspace: Workspace): void;
    getControlPoint(index: number): ControlPoint;
    getOriginalEndPoint(index: number): any;
    getOriginalCtrlPoint(index: number): ControlPoint;
    static FROM: number;
    static TO: number;
}
export default ControlPoint;
